Package org.drinkless.tdlib

# Class TdApi.LinkPreviewTypeAudio

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LinkPreviewType
org.drinkless.tdlib.TdApi.LinkPreviewTypeAudio

Enclosing class:
  TdApi

public static class TdApi.LinkPreviewTypeAudio extends TdApi.LinkPreviewType
The link is a link to an audio.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.LinkPreviewType

  `TdApi.LinkPreviewType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.Audio`
  `audio`
  The audio description; may be null if unknown.
  `String`
  `author`
  Author of the audio.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Duration of the audio, in seconds; 0 if unknown.
  `String`
  `mimeType`
  MIME type of the audio file.
  `String`
  `url`
  URL of the audio; may be empty if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkPreviewTypeAudio()`
  The link is a link to an audio.
  `LinkPreviewTypeAudio(String url, String mimeType, TdApi.Audio audio, int duration, String author)`
  The link is a link to an audio.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### url

    public String url
    URL of the audio; may be empty if none.

  - ### mimeType

    public String mimeType
    MIME type of the audio file.

  - ### audio

    @Nullable public TdApi.Audio audio
    The audio description; may be null if unknown.

  - ### duration

    public int duration
    Duration of the audio, in seconds; 0 if unknown.

  - ### author

    public String author
    Author of the audio.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LinkPreviewTypeAudio

    public LinkPreviewTypeAudio()
    The link is a link to an audio.

  - ### LinkPreviewTypeAudio

    public LinkPreviewTypeAudio(String url, String mimeType, TdApi.Audio audio, int duration, String author)
    The link is a link to an audio.
    Parameters:
      `url` - URL of the audio; may be empty if none.
      `mimeType` - MIME type of the audio file.
      `audio` - The audio description; may be null if unknown.
      `duration` - Duration of the audio, in seconds; 0 if unknown.
      `author` - Author of the audio.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.LinkPreviewType`
    Returns:
      this.CONSTRUCTOR